Bug 127350 - /etc/cron.daily/prelink will never invoke telinit -u
Summary: /etc/cron.daily/prelink will never invoke telinit -u
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: prelink   
(Show other bugs)
Version: 2
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jakub Jelinek
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-07-06 22:00 UTC by Graham King
Modified: 2007-11-30 22:10 UTC (History)
1 user (show)

Fixed In Version: 0.3.2-5
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-10-02 17:47:14 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Graham King 2004-07-06 22:00:06 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.6) Gecko/20040510

Description of problem:
/etc/cron.daily/prelink contains 2 occurrences of
    # Restart init if needed
    [ -n "$(find `ldd /sbin/init | awk '{ print $3 }'` /sbin/init \
          -ctime -1 2>/dev/null )" ] && /sbin/telinit u

ldd /sbin/init  output is 
    linux-gate.so.1 =>  (0x002c0000)
    libselinux.so.1 => /lib/libselinux.so.1 (0x005e9000)
    libc.so.6 => /lib/tls/libc.so.6 (0x00784000)
    /lib/ld-linux.so.2 => /lib/ld-linux.so.2 (0x0076b000)
the first line of which causes find(1) to error.

The error message and lack of output on stdout will ensure that [ -n
"$(find .... 2>/dev/null)" ] is always false, so telinit will never be
invoked.



Version-Release number of selected component (if applicable):
prelink-0.3.2-1  SysVinit-2.85-25

How reproducible:
Didn't try

Steps to Reproduce:
1. Inspect code of /etc/cron.daily/prelink
2. Follow steps in the Description.
3.
    

Additional info:

Comment 1 Jakub Jelinek 2004-07-07 14:33:26 UTC
Guess
    [ -n "$(find `ldd /sbin/init | awk 'NF == 4 { print $3 }'` /sbin/init \
          -ctime -1 2>/dev/null )" ] && /sbin/telinit u
should cure it.
Will build prelink-0.3.2-4.

Comment 2 Graham King 2004-07-08 09:46:28 UTC
That should be fine, provided that the problem really is with the
script, and not with the output of ldd /sbin/init.


Note You need to log in before you can comment on or make changes to this bug.